curl --request GET \
--url https://api.cloudglue.dev/v1/responses/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "response",
"status": "in_progress",
"created_at": 123,
"model": "<string>",
"instructions": "<string>",
"output": [
{
"type": "message",
"role": "assistant",
"content": [
{
"type": "output_text",
"text": "<string>",
"annotations": [
{
"type": "cloudglue_citation",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": 123,
"collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"end_time": 123,
"context": "<string>",
"relevant_sources": [
"<string>"
],
"visual_scene_description": [
"<string>"
],
"scene_text": [
"<string>"
],
"speech": [
"<string>"
],
"audio_description": [
"<string>"
]
}
]
}
]
}
],
"usage": {
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123
},
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}Retrieve a specific response by its ID.
curl --request GET \
--url https://api.cloudglue.dev/v1/responses/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "response",
"status": "in_progress",
"created_at": 123,
"model": "<string>",
"instructions": "<string>",
"output": [
{
"type": "message",
"role": "assistant",
"content": [
{
"type": "output_text",
"text": "<string>",
"annotations": [
{
"type": "cloudglue_citation",
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start_time": 123,
"collection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"end_time": 123,
"context": "<string>",
"relevant_sources": [
"<string>"
],
"visual_scene_description": [
"<string>"
],
"scene_text": [
"<string>"
],
"speech": [
"<string>"
],
"audio_description": [
"<string>"
]
}
]
}
]
}
],
"usage": {
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123
},
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the response to retrieve
Response details
Unique identifier for the response
Object type identifier
response Current status of the response
in_progress, completed, failed, cancelled Unix timestamp of when the response was created
The model used for the response
The system instructions used
The generated output messages
Show child attributes
Token usage statistics for the response
Show child attributes
Error details when the response status is 'failed'
Show child attributes